Get a stack profile demo's logs
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/demos/{workspace_id}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/demos/{workspace_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/demos/{workspace_id}/logs \
--header 'Authorization: Bearer <token>'{
"container": "<string>",
"lines": [
"<string>"
],
"message": "<string>",
"pod_name": "<string>",
"truncated": true
}Stack Profiles
Get a stack profile demo's logs
Returns a bounded tail of one container’s output in the demo namespace. message explains why when no logs could be read.
GET
/
api
/
v1
/
org
/
stack-profiles
/
{profile_id}
/
demos
/
{workspace_id}
/
logs
Get a stack profile demo's logs
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/demos/{workspace_id}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/demos/{workspace_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/demos/{workspace_id}/logs \
--header 'Authorization: Bearer <token>'{
"container": "<string>",
"lines": [
"<string>"
],
"message": "<string>",
"pod_name": "<string>",
"truncated": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Pod to read; defaults to the first pod in the demo namespace.
Container to read within the pod.
Number of trailing lines.
Required range:
x >= 1